import org.odmg.Database;
import org.odmg.Implementation;
import org.odmg.ODMGException;
import org.odmg.OQLQuery;
import org.odmg.QueryException;
import org.odmg.Transaction;
import rasj.RasImplementation;

class rasjQuery implements Runnable{

    public static String RASDAMAN_URL = "http://localhost:7001";
    public static String query= "select csv(c[0:200,0:200]) from NIR AS c";
    public static String RASDAMAN_DATABASE = "RASBASE";

    private Implementation impl;
    private Database db;
    
    public rasjQuery(){

	this.impl=new RasImplementation(RASDAMAN_URL);
	this.db=this.impl.newDatabase();
	
    }

    public rasjQuery(Implementation impl,Database db){

	this.impl=impl;
	this.db=this.impl.newDatabase();
    }

    public void run(){	    
	
	try{
	    this.db.open(RASDAMAN_DATABASE, Database.OPEN_READ_ONLY);
	    Transaction tr = this.impl.newTransaction();
	    OQLQuery q = this.impl.newOQLQuery();
	    tr.begin();
	    q.create(query);
	    Object r=q.execute();
	    tr.commit();
	    this.db.close();
	}catch(Exception e){
		
	    e.printStackTrace();
	}
    }
}
